Show invoice details

Use /invoices/{invoiceId} to retrieve all details of a specific invoice.To retrieve the summary of all the cases on your account see, invoices api


URI

GET /api/v1/customers/{customerId}/invoices/{invoiceId}

Headers

Parameter Mandatory Data Type Allowed Values Description
Request-Tracking-Id Y String Unique Identifier for each request
Authorization Y String Access token
ClientId Y String Will be provided by WM
Accept N String application/json or application/xml Default is application/json

Request Parameters

Pass the following parameters in the request.

Parameter Mandatory Data Type Type Description
customerId Y Number path Unique Customer Identifier
invoiceId Y Number path Unique ID assigned to an invoice

Response Fields

Parameter Data Type Description
invoices Object The invoices details
Id Number Invoice Identifier
type Number Invoice type 1,2,3,4 and 5
description Number Invoice description associated with the type, possible values are INVOICE,PAYMENT,ADJUSTMENTS,FINANCE CHARGE and NON A/R)
date DateTime Invoice date formatted as MM-dd-yy
amount Number Invoice amount
due_date Date Invoice due date formatted as MM-dd-yy
period String Invoice period
payment_info Object The payment details pertaining to invoice
amount Number Amount paid
date Date Date of payment formatted as MM-dd-yy
method String Payment method
reference_number String Payment reference number

Tip

For information about how to test, see How To Test

Sample Request

http://api.wm.com/v1/customers/123456789/invoices/1051117

Sample Response

{  "invoices": [    {      "id": "1051117",      "type": "1",      "description": "INVOICE",      "date": "07/01/15",      "amount": "40.62",      "due_date": "07/01/15",      "period": "201506"    },    {      "id": "1051117",      "type": "1",      "description": "INVOICE",      "date": "07/01/15",      "amount": "36.24",      "due_date": "07/01/15",      "period": "201506"    },    {      "id": "1051117",      "type": "4",      "description": "FINANCE CHARGE",      "date": "07/01/15",      "amount": "5.20",      "due_date": "07/01/15",      "period": "201506"    },    {      "id": "1051117",      "type": "1",      "description": "INVOICE",      "date": "07/01/15",      "amount": "25.83",      "due_date": "07/01/15",      "period": "201506"    },    {      "id": "1051117",      "type": "1",      "description": "INVOICE",      "date": "07/01/15",      "amount": "640.53",      "due_date": "07/01/15",      "period": "201506"    },    {      "id": "1051117",      "type": "2",      "description": "PAYMENT",      "payment_info": {        "amount": "748.42",        "date": "07/05/15",        "method": "4576C0428",        "reference_number": "RCR0312432"      }    }  ]}